CERT NetSA Security Suite
Monitoring for Large-Scale Networks

# fixbuf

Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
fbConnSpec_st Struct Reference

Connection specifier. More...

`#include <public.h>`

## Data Fields

fbTransport_t | transport
| Transport protocol to use.
char * | host
| Hostname to connect/listen to. More...
char * | svc
| Service name or port number to connect/listen to. More...
char * | ssl_ca_file
| Path to certificate authority file. More...
char * | ssl_cert_file
| Path to certificate file. More...
char * | ssl_key_file
| Path to private key file. More...
char * | ssl_key_pass
| Private key decryption password. More...
void * | vai
| Pointer to address info cache. More...
void * | vssl_ctx
| Pointer to SSL context cache. More...

## Detailed Description

Connection specifier.

Used to define a peer address for fbExporter_t, or a passive address for fbListener_t.

## Field Documentation

char* fbConnSpec_st::host

Hostname to connect/listen to.

NULL to listen on all interfaces.

char* fbConnSpec_st::ssl_ca_file

Path to certificate authority file.

Only used for OpenSSL transport.

char* fbConnSpec_st::ssl_cert_file

Path to certificate file.

Only used for OpenSSL transport.

char* fbConnSpec_st::ssl_key_file

Path to private key file.

Only used for OpenSSL transport.

char* fbConnSpec_st::ssl_key_pass

Private key decryption password.

Only used for OpenSSL transport.

char* fbConnSpec_st::svc

Service name or port number to connect/listen to.

void* fbConnSpec_st::vai

Pointer to address info cache.

Initialize to NULL. For fixbuf internal use only.

void* fbConnSpec_st::vssl_ctx

Pointer to SSL context cache.

Initialize to NULL. For fixbuf internal use only.

The documentation for this struct was generated from the following file:

- public.h